<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
</head>

<body>
    <h1>mi primer formulario</h1>

    <form name="form" action="" method="post">
        <label for="nombre">Nombre</label>
        <input type="text" name="nombre" id="nombre" placeholder="Santi" />

        <br /><br />

        <label for="apellido">Apellido</label>
        <input type="text" name="apellido" id="apellido" />

        <br /><br />

        <label for="email">Correo electrónico</label>
        <input type="email" name="email" id="email" placeholder="micorreo@gmail.com" />

        <br /><br />

        <label for="edad">Edad</label>
        <input type="number" name="edad" id="edad" placeholder="30" />

        <br /><br />

        <label for="pais">País</label>
        <select name="pais" id="pais">
            <option value="argentina">Argentina</option>
            <option value="brasil">Brasil</option>
            <option value="chile">Chile</option>
            <option value="colombia">Colombia</option>
            <option value="peru">Perú</option>
            <option value="venezuela">Venezuela</option>
        </select>

        <br /><br />

        <label for="sexo">Sexo:</label><br />

        <label for="sexo1">Masculino</label>
        <input type="radio" name="sexo" id="sexo1" Value="masculino"><br />

        <label for="sexo2">Femenino</label>
        <input type="radio" name="sexo" id="sexo2" Value="femenino"><br />

        <label for="sexo3">Prefiero no contestar</label>
        <input type="radio" name="sexo" id="sexo3" Value="no_contesta"><br /><br />

        Hoobies<br />

        <label for="hobbies1">Fútbol</label>
        <input type="checkbox" name="hobbies[]" id="hobbies1" value="futbol"><br />

        <label for="hobbies2">Basket</label>
        <input type="checkbox" name="hobbies[]" id="hobbies2" value="basket"><br />

        <label for="hobbies3">Tenis</label>
        <input type="checkbox" name="hobbies[]" id="hobbies3" value="tenis"><br />

        <label for="hobbies4">Beisbol</label>
        <input type="checkbox" name="hobbies[]" id="hobbies4" value="beisbol"><br />

        <label for="hobbies5">Otro</label>
        <input type="checkbox" name="hobbies[]" id="hobbies5" value="otro"><br /><br />

        <label for="comentario">Comentario</label>

        <textarea name="comentario" cols="30" rows="10" id="comentario"></textarea>

        <br /><br />

        <input type="button" name="ver_resultados" id="ver_resultados" value=" Ver Resultados">

    </form>

    <script type="text/javascript">
        const btnResultados = document.getElementById("ver_resultados");

        btnResultados.addEventListener('click', function () {
            let nombre = document.getElementById("nombre").value;
            let apellido = document.getElementById("apellido").value;
            let email = document.getElementById("email").value;
            let edad = document.getElementById("edad").value;
            let pais = document.getElementById("pais").value;
            let comentario = document.getElementById("comentario").value;

            let resultado = `Nombre: ${nombre} \n  Apellido: ${apellido} \n  Email: ${email} \n Edad: ${edad}\n País: ${pais} \n Comentario: ${comentario} \n   `;

            console.log("presionaste el botón");
            console.log(resultado);
        });

    </script>
</body>

</html>